import * as React from "react";
import type { SandpackTheme, SandpackThemeProp } from "../types";
declare const SandpackThemeContext: React.Context<{
    theme: SandpackTheme;
    id: string;
    mode: "dark" | "light" | "auto";
}>;
/**
 * @category Theme
 */
declare const SandpackThemeProvider: React.FC<React.HTMLAttributes<HTMLDivElement> & {
    theme?: SandpackThemeProp;
    children?: React.ReactNode;
}>;
declare const SandpackThemeConsumer: React.Consumer<{
    theme: SandpackTheme;
    id: string;
    mode: "dark" | "light" | "auto";
}>;
export { SandpackThemeProvider, SandpackThemeConsumer, SandpackThemeContext };
